Endpoint Examples

/search

Search individual profiles using operator-based filters and return the same response shape as /samples. This endpoint requires additional permissions. Please contact your account manager to learn more or fill out our contact form here.

POST /search

Query Parameters

NameTypeDescription
new_taxonomy_versionsenum

Use new taxonomy versions.
This parameter is optional.

Must be one of: true, false

lot_versionenum

Specify LOT taxonomy version to use.
This parameter is optional.
Default: 7

Must be one of: 6, 7

naics_versionenumSpecify NAICS taxonomy version to use.
This parameter is optional.
Default: naics_std_2022
Must be one of: naics_std_2022, naics_std_2017
area_versionenum

Specify area taxonomy version to use.
This parameter is optional.
Default: lf_area_2025_1

Must be one of: lf_area_2023_2, lf_area_2025_1

area_laa_versionenum

Specify LAA area taxonomy version to use.
This parameter is optional.
Default: 2

Must be one of: 1, 2

Request Body

{
  "filter": {
    "laa_country_name": [
      {
        "operator": "is one of",
        "value": [
          "Canada",
          "United States"
        ]
      }
    ],
    "profile_tags": [
      {
        "operator": "is",
        "value": "Profile Has Email"
      }
    ],
    "profile_last_seen_date": [
      {
        "operator": "after",
        "value": "2025-10-01"
      }
    ]
  },
  "limit": 10,
  "offset": 0
}

For a complete list of request parameters, including descriptions, supported operators, and examples, see the Request Parameters reference.

Code Examples

curl --request POST \
  --url https://api.lightcast.io/global-profiles/search \
  --header 'Authorization: Bearer <ACCESS_TOKEN>' \
  --header 'Content-Type: application/json' \
  --data '{ "filter": { "laa_country_name": [ { "operator": "is one of", "value": [ "Canada", "United States" ] } ], "profile_tags": [ { "operator": "is", "value": "Profile Has Email" } ], "profile_last_seen_date": [ { "operator": "after", "value": "2025-10-01" } ] }, "limit": 10, "offset": 0 }'

Response Examples

{
  "data": {
    "profiles": 131393,
    "results": [
      {
        "acquired_timestamp": "1999-12-31",
        "company": "37493873",
        "company_name": "General Motors",
        "company_v2": "37493873",
        "company_name_v2": "General Motors",
        "city": "LCBOZXcgSmVyc2V",
        "city_name": "Raritan, NJ",
        "educations": [
          {
            "field_raw": null,
            "grad_year": "2015-01",
            "level_name": null,
            "level_raw": "Electrical And Computer Engineering With Emphasis On Embedded Systems And Controls",
            "school_id": "53bff579e4b04710d09f9747",
            "school_name": "Bradley University",
            "school_raw": null
          },
          {
            "field_raw": null,
            "grad_year": "2013-01",
            "level_name": null,
            "level_raw": "Electronics And Instrumentation Engineering",
            "school_id": "53bff579e4b04710d09fe3e3",
            "school_name": "Velagapudi Ramakrishna Siddhartha Engineering College",
            "school_raw": null
          }
        ],
        "id": "403727423383",
        "last_updated": "2025-03-17",
        "lot_career_area": "33",
        "lot_career_area_name": "Science and Research",
        "lot_occupation": "331312",
        "lot_occupation_group": "3313",
        "lot_occupation_group_name": "General Research",
        "lot_occupation_name": "Researcher / Research Associate",
        "lot_specialized_occupation": "33131215",
        "lot_specialized_occupation_name": "Research Associate (General)",
        "naics6": "336390",
        "naics6_name": "Other Motor Vehicle Parts Manufacturing",
        "laa_country": "US",
        "laa_country_name": "United States",
        "laa_admin_area_1": "NJ",
        "laa_admin_area_1_name": "New Jersey",
        "laa_admin_area_2": "SOM",
        "laa_admin_area_2_name": "Somerset",
        "laa_metro": "metro_001",
        "laa_metro_name": "New York-Newark-Jersey City Metro",
        "onet": "15-1252.00",
        "onet_name": "Software Developers",
        "profile_last_seen_date": "2025-10-05",
        "profile_tags": [
          "Profile Has Email",
          "Profile Has Expertise"
        ],
        "personal_info": {
          "emails": [
            [
              {
                "address": "[email protected]",
                "type": null
              },
              {
                "address": "[email protected]",
                "type": null
              }
            ]
          ],
          "employment_history": [
            {
              "company_name_raw": "General Motors Company",
              "description": "",
              "job_end_ym": null,
              "job_start_ym": null,
              "raw_location": "Raritan, New Jersey, United States",
              "title_raw": "Software Integration Lead Engineer"
            },
            {
              "company_name_raw": "General Motors Company",
              "description": "",
              "job_end_ym": null,
              "job_start_ym": "2017-06",
              "raw_location": "Detroit, Michigan, United States",
              "title_raw": "Software Integration Lead Engineer"
            },
            {
              "company_name_raw": "Caterpillar, Inc.",
              "description": "",
              "job_end_ym": "2017-06",
              "job_start_ym": "2015-03",
              "title_raw": "Project Engineer"
            },
            {
              "company_name_raw": "Bradley University",
              "description": "",
              "job_end_ym": "2014-12",
              "job_start_ym": "2014-01",
              "title_raw": "Graduate Assistant"
            }
          ],
          "job_description": "",
          "name": "Katragadda Gouthami",
          "first_name": "Katragadda",
          "last_name": "Gouthami",
          "names": [
            "Katragadda Gouthami"
          ],
          "phones": [],
          "profile_urls": [
            "linkedin.com/in/katragadda-gouthami-31846933"
          ],
          "title_raw": "Software Integration Lead Engineer"
        },
        "summary": "Research professional with engineering and embedded systems experience in the automotive sector.",
        "skills": [
          "KS1200364C9C1LK3V5Q1",
          "KS1219W70LY1GXZDSKW5",
          "KS121Z26S4VJLQ1WXN21",
          "KS1203C6N9B52QGB4H67",
          "KS1218W78FGVPVP2KXPX",
          "KS124YQ6PL1ZNRM24T3G",
          "KS124JZ5VYRZ5MJ85N2B",
          "KS1227N6MSF1WZ4B566W",
          "KS1281Y6QHJ8PQLHTZ6R",
          "KS1200365FTR9X0M96T9",
          "KS441SJ60TPX0T7FB9BN",
          "ESA91D8112EB9ECA3570",
          "KS123GF702RP1QZB6C94",
          "ESA6EF2FD3872374BF62",
          "KS125LS6N7WP4S6SFTCK",
          "KS44175745H9Q0DPBDNT",
          "KS124JB619VXG6RQ810C",
          "KS128FG74RH6DN633H2H",
          "KS127ZG6DBSF76WF7VYX",
          "KS128286L623CC643TL6",
          "KS1267F6MSPN366LX7ST",
          "KS120076FGP5WGWYMP0F",
          "KS4418462TTGKL3CWJHT",
          "KS440W865GC4VRBW6LJP",
          "KS124YM6VF06TLWW0RHG",
          "KS441536VTGSWK6MDLMT",
          "KS122Q26BWQ1PK3Y74C0",
          "KS1200H6XYN1CR0G5NZ0",
          "KS1261G6FLXL70JW7G42",
          "KS1200578T5QCYT0Z98G",
          "KS126HY6YLTB9R7XJC4Z",
          "KS123GG6CBGST8FDPNZ8",
          "KS4415X6DKZ8BMBPY9H9",
          "KS440LR6NSB33SPP5H4P",
          "KS1275Z6908VHW76FRXH",
          "ESE06E9B397F52EC0B2B",
          "KSKJX44T33B6D4UCC8CB"
        ],
        "skills_name": [
          "C (Programming Language)",
          "C++ (Programming Language)",
          "Customer Service",
          "Research",
          "Management",
          "IBM Engineering Workflow Management",
          "Public Speaking",
          "Computer Hardware",
          "Process Control",
          "Microsoft Word",
          "VHSIC Hardware Description Language (VHDL)",
          "Git (Version Control System)",
          "Embedded C",
          "Project Engineering",
          "Python (Programming Language)",
          "Time Management",
          "Leadership",
          "Real-Time Operating Systems",
          "Microsoft PowerPoint",
          "Process Simulation",
          "Project Management",
          "Java (Programming Language)",
          "Team Leadership",
          "SQL (Programming Language)",
          "IBM Rational Software",
          "Systems Architecture",
          "Data Structures",
          "Microsoft Excel",
          "MATLAB",
          "HyperText Markup Language (HTML)",
          "Microsoft Office",
          "Embedded Systems",
          "Systems Integration",
          "Simulink",
          "Object-Oriented Programming (OOP)",
          "Computer Repair",
          "Teamwork"
        ],
        "title": "ET05934770AFC6EA69",
        "title_name": "Software Integration Engineers",
        "title_raw": "Software Integration Lead Engineer"
      }
    ]
  }
}
// Your request wasn't valid (bad parameter names or values).

{
  "errors": [
    {
      "status": 400,
      "title": "Malformed Request",
      "detail": "Expected array"
    }
  ]
}
// You don't have access to search profiles.


{
  "errors": [
    {
      "status": 403,
      "title": "Forbidden",
      "detail": "You don't have access to sample profiles."
    }
  ]
}